Delete a client certificate authority of an event broker service

A client certificate authority is a trusted root or intermediate certificate that the event broker service uses to validate client certificates during mutual TLS (mTLS) authentication.

Certificate content is write-only and is never returned.

A certificate authority (CA) can appear in both the client and domain lists. The result of deleting the CA from one list depends on how it was created. If the CA was created:

  • without specifying a type, the CA is stored as a single entry. Deleting the CA from either list removes it from both.
  • explicitly for both client and domain use, the CA is stored as two separate entries. Deleting the CA from one list leaves the entry in the other list.

A shared event broker service has no certificate authorities, so a delete request returns 404 Not Found.

This request is asynchronous. The response contains an operation ID that you can use to poll for completion using Get the status of a service operation.

Your token must have one of the permissions listed in the Token Permissions.



Token Permissions: [ mission_control:access or service_requests:post:certificate_authentication ]
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier for the event broker service.

string
required

The name of the certificate authority.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*